CREATE OR REPLACE VIEW VW_FCO_INFO_PENSIONADOS AS
SELECT p.compania,
       p.trabajador,
       decode(IsNumeric(substr(dato_09, 1, 2)),
              1,
              to_number(substr(dato_09, 1, 2)),
              1) tipo_pension,
       decode(UPPER(substr(dato_03, 1, 1)), 'S', 'S', 'N') compartida,
       nvl(dato_05, ' ') caus_ape1,
       nvl(dato_07, ' ') caus_ape2,
       nvl(dato_06, ' ') caus_nom1,
       nvl(dato_08, ' ') caus_nom2,
       nvl(substr(dato_02, 1, 2), ' ') caus_tdoc,
       nvl(substr(RTRIM(FLOOR(dato_11)), 1, 16), 0) caus_id,
       decode(IsNumeric(substr(dato_10, 1, 2)),
              1,
              substr(rtrim(ltrim(to_char((to_number(substr(dato_10, 1, 2)))))), 1, 1),
              '1') tipo_pensionado,
       decode(UPPER(substr(dato_01, 1, 1)),
              'S',
              'S',
              'N') residente_en_exterior,
       decode(UPPER(substr(dato_04, 1, 1)),
              'S',
              'S',
              'N') situa_en_exterior
  FROM vw_fco_pensionados p, inf_soc_trabajador i
 where i.trabajador(+) = p.trabajador
   AND i.indice_inf_soc(+) = 'PENSIONADO'
   AND i.secuencia(+) = 1

